Subject: A good sub-architecture to base new ports on?

From: [email-masked] (Jorge Amorós Argos)
Date: Wed, 23 May 2012 22:41:39 +0200

No wi-fi. I just wanted to have the basis working and then build up the 
rest.

How should we proceed now? Where can we share the code?

Regards,
Jorge

El 21/05/2012 22:19, Alexey Zaytsev escribi?:
> On Fri, May 18, 2012 at 4:31 PM, Arnd Bergmann<[email-masked]>  wrote:
>> On Thursday 17 May 2012, Jorge Amor?s Argos wrote:
>>> Hi Alexey and co,
>>>
>>> I up-ported Solos open code to Openwrt with Linux 2.6.30. I think the
>>> only missing module was ADSL.
> That's really nice. Did you get the wi-fi module working as well?
>
>> Ah, very good!
> I've got it working for 2.6.31, but that needs a lot of cleanup.
>
>>> Anyway, compiling was successful but I can't tell if it was functional.
>>>
>>> Mainly 2 big issues:
>>>
>>>    * No knowledge how to build the image (I wanted to have a self-lzma
>>>      image in order to save room)
>> LZMA support was added to arm linux in 2.6.35, and XZ support some time
>> after that.
>>
>>>    * My Solos based router, Xavi 7968, is a bitchy one. I found no way to
>>>      easily upload firmware into flash. It took me hours to make 1 trial.
>>>
>>>
>>> I'll be glad to share the code with whoever need it and maybe we can
>>> take those old routers back to a better world.
>> I think that would be helpful.
> Yeah. I'll put my work somewhere publicly as well soon.
>

-- 
Jorge Amor?s Argos